Bug 377521 - pirut crash debug log
pirut crash debug log
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 05:58 EST by Dave Crossland
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 09:49:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Crossland 2007-11-12 05:58:45 EST
Description of problem: pirut crashed on my new F8 installation when
installation all languags. The debug output saved is:

Component: pirut
Summary: TB80609e10 Progress.py:95:set_markup:AttributeError: 'NoneType' object
has no attribute 'set_markup'

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 363, in _apply
    output = self.applyChanges(self.mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 807, in
applyChanges
    return self.runTransaction(mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 769, in
runTransaction
    mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/Progress.py", line 213, in __init__
    PirutProgress.__init__(self, title, parent)
  File "/usr/lib/python2.5/site-packages/pirut/Progress.py", line 67, in __init__
    self.set_markup("")
  File "/usr/lib/python2.5/site-packages/pirut/Progress.py", line 95, in set_markup
    self.label.set_markup(txt)
AttributeError: 'NoneType' object has no attribute 'set_markup'

Local variables in innermost frame:
self: <pirut.Progress.PirutTransactionCallback instance at 0x977ea0c>
txt:
Comment 1 Jeremy Katz 2007-11-12 11:31:26 EST
Is this reproducible?  Can you provide the output of rpm -q pirut and rpm -V pirut?
Comment 2 Jeremy Katz 2007-12-31 09:49:25 EST
Closing due to inactivity.  If you have further information to add to this
report, please either reopen the bug or file a new one.  

Note You need to log in before you can comment on or make changes to this bug.